=== debian/control ===
Source: ros-iron-mavros
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, google-mock <!nocheck>, libconsole-bridge-dev, libeigen3-dev, libgeographic-dev, libgtest-dev <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-cmake-python, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-angles, ros-iron-diagnostic-msgs, ros-iron-diagnostic-updater, ros-iron-eigen-stl-containers, ros-iron-eigen3-cmake-module, ros-iron-geographic-msgs, ros-iron-geometry-msgs, ros-iron-libmavconn, ros-iron-mavlink, ros-iron-mavros-msgs, ros-iron-message-filters, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rcpputils, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-iron-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libconsole-bridge-dev, libeigen3-dev, libgeographic-dev, python3-click, ros-iron-diagnostic-msgs, ros-iron-diagnostic-updater, ros-iron-eigen-stl-containers, ros-iron-eigen3-cmake-module, ros-iron-geographic-msgs, ros-iron-geometry-msgs, ros-iron-libmavconn, ros-iron-mavlink, ros-iron-mavros-msgs, ros-iron-message-filters, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rclpy, ros-iron-rcpputils, ros-iron-rosidl-default-runtime, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-tf2-eigen, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: MAVROS -- MAVLink extendable communication node for ROS with proxy for Ground Control Station.
